Query reasoning traces.
Use cases:
- "Why did I choose Python?" → finds reasoning traces mentioning Python decisions
- artifact_id → finds reasoning that CAUSES this artifact
AuthorizationBearer <token>
Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to query reasoning traces.
Response Body
application/json
application/json
curl -X POST "https://example.com/memory/reasoning/traces/query" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}